Subject: bug#16594: 24.3.50; very slow redraw when resizing windows horizontally

From: Darren Hoo <[email-masked]>
Date: Thu, 30 Jan 2014 23:39:07 +0800

martin rudalics <[email-masked]> writes:

> I checked in a fix such that mouse dragging a line doesn't occur
> pixelwise by default.  Does this improve the behavior?  I have no idea
> how to interpret the profiler report - when you drag a line it will
> always be the case that most of the cpu is consumed by that.

I tried the fix, the behavior is worse now. Sluggishness still occurs.
While dragging the splitter and the mouse pointer are not synchronized
now, when dragging finishes while still holding the left mouse button
the mouse pointer is far away from the splitter.